# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | List of all members
dirac::StreamFrameInput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamFrameInput:

## Public Member Functions
| StreamFrameInput ()
| Default Constructor. More...
| StreamFrameInput (std::istream *ip_pic_ptr, const SourceParams &sparams)
| Constructor. More...
virtual | ~StreamFrameInput ()
| Destructor. More...
virtual void | Skip (const int n)
| Skip n frames of input. More...
virtual bool | ReadNextPicture (Picture &myframe)
| Read the next frame from the file. More...
Public Member Functions inherited from dirac::StreamPicInput
| StreamPicInput ()
| Default Constructor. More...
| StreamPicInput (std::istream *ip_pic_ptr, const SourceParams &sparams)
| Constructor. More...
virtual | ~StreamPicInput ()
| Destructor. More...
SourceParams & | GetSourceParams () const
| Get the source parameters. More...
bool | End () const
| Returns true if we're at the end of the input, false otherwise. More...

## Private Member Functions
bool | ReadFrameComponent (PicArray &pic_data, const CompSort &cs)
| Read a Frame component from the file. More...

## Additional Inherited Members
Protected Attributes inherited from dirac::StreamPicInput
SourceParams | m_sparams
| Source parameters. More...
std::istream * | m_ip_pic_ptr
| Input stream. More...

## Constructor & Destructor Documentation

dirac::StreamFrameInput::StreamFrameInput | ( |  | ) |

dirac::StreamFrameInput::StreamFrameInput | ( | std::istream * | ip_pic_ptr,
|  | const SourceParams & | sparams
| ) |  |

Constructor, takes

Parameters

  ip_pic_ptr | input stream to read from
  sparams | Source parameters

virtual dirac::StreamFrameInput::~StreamFrameInput | ( |  | ) |
| virtual

## Member Function Documentation

bool dirac::StreamFrameInput::ReadFrameComponent | ( | PicArray & | pic_data,
|  | const CompSort & | cs
| ) |  |
| private

virtual bool dirac::StreamFrameInput::ReadNextPicture | ( | Picture & | myframe | ) |
| virtual

Implements dirac::StreamPicInput.

virtual void dirac::StreamFrameInput::Skip | ( | const int | n | ) |
| virtual

Implements dirac::StreamPicInput.

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.